Subject: Re: [PATCH 1/6] Start split out of common open firmware code

From: Segher Boessenkool <[email-masked]>
Date: Tue, 24 Apr 2007 20:18:21 +0200

> I totally disagree that you should be changing anything
> during these consolidations.

And I didn't say so, I actually *said* I don't think
that should be done.

I was just remarking some really bad workarounds end
up in more generic code now, and as such need to be
fixed.  Not now, but *later*.

> Move the code around in one pass where you can _VERIFY_
> that things are precisely the same and won't break.
>
> Then later you can get fancy and change things however you
> wish.

Yes exactly.

> Everything so far is pure whining, and has nothing to do with
> the substance of what Stephen is trying to accomplish, a
> _CODE CONSOLIDATION_.  So please don't get in the way of that
> effort.

I'm not standing in the way here, I'm quite happy with
what Stephen is doing, great job.

I'm just pointing out some bugs/workarounds in the
merged code (that were there before, sure) -- it would
be lovely if they at least could be commented as being
not-quite-right in the new code so no one reading the
code will assume it is doing the "right thing".

Segher